Tp::ReadinessHelper Class Reference

| Home · All Classes · All Namespaces · Modules · Functions · Files

Classes | Public Types | Signals | Public Member Functions | List of all members
Tp::ReadinessHelper Class Reference
Utililty classes

The ReadinessHelper class is a helper class used by the introspection process. More...

`#include <TelepathyQt/ReadinessHelper>`

Inherits QObject.

## Classes
class | Introspectable
| The ReadinessHelper::Introspectable class represents a introspectable used by ReadinessHelper. More...

## Public Types
typedef void(* | IntrospectFunc )(void *data)
typedef QMap< Feature, Introspectable > | Introspectables

## Signals
void | statusReady (uint status)

## Public Member Functions
| ReadinessHelper (RefCounted *object, uint currentStatus=0, const Introspectables &introspectables=Introspectables(), QObject *parent=0)
| ReadinessHelper (DBusProxy *proxy, uint currentStatus=0, const Introspectables &introspectables=Introspectables(), QObject *parent=0)
| ~ReadinessHelper ()
void | addIntrospectables (const Introspectables &introspectables)
uint | currentStatus () const
void | setCurrentStatus (uint currentStatus)
void | forceCurrentStatus (uint currentStatus)
QStringList | interfaces () const
void | setInterfaces (const QStringList &interfaces)
Features | requestedFeatures () const
Features | actualFeatures () const
Features | missingFeatures () const
bool | isReady (const Feature &feature, QString *errorName=0, QString *errorMessage=0) const
bool | isReady (const Features &features, QString *errorName=0, QString *errorMessage=0) const
PendingReady * | becomeReady (const Features &requestedFeatures)
void | setIntrospectCompleted (const Feature &feature, bool success, const QString &errorName=QString(), const QString &errorMessage=QString())
void | setIntrospectCompleted (const Feature &feature, bool success, const QDBusError &error)

## Detailed Description

The ReadinessHelper class is a helper class used by the introspection process.

## Member Typedef Documentation

typedef void(* Tp::ReadinessHelper::IntrospectFunc)(void *data)

typedef QMap<Feature, Introspectable> Tp::ReadinessHelper::Introspectables

## Constructor & Destructor Documentation

Tp::ReadinessHelper::ReadinessHelper | ( | RefCounted * | object,
|  | uint | currentStatus = `0`,
|  | const Introspectables & | introspectables = `Introspectables()`,
|  | QObject * | parent = `0`
| ) |  |

Tp::ReadinessHelper::ReadinessHelper | ( | DBusProxy * | proxy,
|  | uint | currentStatus = `0`,
|  | const Introspectables & | introspectables = `Introspectables()`,
|  | QObject * | parent = `0`
| ) |  |

Tp::ReadinessHelper::~ReadinessHelper | ( |  | ) |

## Member Function Documentation

void Tp::ReadinessHelper::addIntrospectables | ( | const Introspectables & | introspectables | ) |

uint Tp::ReadinessHelper::currentStatus | ( |  | ) | const

void Tp::ReadinessHelper::setCurrentStatus | ( | uint | currentStatus | ) |

void Tp::ReadinessHelper::forceCurrentStatus | ( | uint | currentStatus | ) |

Force the current internal status to currentStatus.

Note that this method will not start a new introspection or restart the current one in case one is running.

This is useful for example when the status is unknown initially but it will become known in the first introspection run and there is no need to re-run the introspection.

Parameters

  currentStatus | The status to set.

QStringList Tp::ReadinessHelper::interfaces | ( |  | ) | const

void Tp::ReadinessHelper::setInterfaces | ( | const QStringList & | interfaces | ) |

Features Tp::ReadinessHelper::requestedFeatures | ( |  | ) | const

Features Tp::ReadinessHelper::actualFeatures | ( |  | ) | const

Features Tp::ReadinessHelper::missingFeatures | ( |  | ) | const

bool Tp::ReadinessHelper::isReady | ( | const Feature & | feature,
|  | QString * | errorName = `0`,
|  | QString * | errorMessage = `0`
| ) |  | const

bool Tp::ReadinessHelper::isReady | ( | const Features & | features,
|  | QString * | errorName = `0`,
|  | QString * | errorMessage = `0`
| ) |  | const

PendingReady * Tp::ReadinessHelper::becomeReady | ( | const Features & | requestedFeatures | ) |

void Tp::ReadinessHelper::setIntrospectCompleted | ( | const Feature & | feature,
|  | bool | success,
|  | const QString & | errorName = `QString()`,
|  | const QString & | errorMessage = `QString()`
| ) |  |

void Tp::ReadinessHelper::setIntrospectCompleted | ( | const Feature & | feature,
|  | bool | success,
|  | const QDBusError & | error
| ) |  |

void Tp::ReadinessHelper::statusReady | ( | uint | status | ) |
| signal